Android程式用Eclipse編輯程式Run出來會出現怪訊息

2010.10.19 09:15PM
12
Android程式用Eclipse編輯程式Run出來會出現怪訊息

 不好意思,請問一下,

 

為什麼RUN Android程式怎麼會出現這個訊息,如圖所示:
 
 
我套件等等都安裝很完全,
 
只是跑2.2套件OK
 
2.2以下(1.1~2.1)都會出現如圖的狀態,
 
然後我Android類似手機的畫面沒關,然後程式在RUN一次就OK沒這個訊息,
 
這是什麼原因呢?
 
PS.我是照著課本範例下去打的,所以程式都OK的~~
 
程式如下:
 
package com.eoeAndrod.helloWorld;
 
import android.app.Activity;
import android.os.Bundle;
import android.widget.TextView;
 
public class ActivityMain extends Activity {
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        TextView tv = new TextView(this);
        tv.setText("Hello World 資管專題");
        setContentView(tv);
    }
}
 
 
 
 
以下是Eclipse訊息(Run 2.1 的):
 
 
 
[2010-10-19 21:04:27 - HelloWorld2.1] ------------------------------
[2010-10-19 21:04:27 - HelloWorld2.1] Android Launch!
[2010-10-19 21:04:27 - HelloWorld2.1] adb is running normally.
[2010-10-19 21:04:27 - HelloWorld2.1] Performing com.eoeAndrod.helloWorld.ActivityMain activity launch
[2010-10-19 21:04:27 - HelloWorld2.1] Automatic Target Mode: Preferred AVD '2.1' is not available. Launching new emulator.
[2010-10-19 21:04:27 - HelloWorld2.1] Launching a new emulator with Virtual Device '2.1'
[2010-10-19 21:04:28 - HelloWorld2.1] New emulator found: emulator-5554
[2010-10-19 21:04:28 - HelloWorld2.1] Waiting for HOME ('android.process.acore') to be launched...
[2010-10-19 21:05:21 - HelloWorld2.1] WARNING: Application does not specify an API level requirement!
[2010-10-19 21:05:21 - HelloWorld2.1] Device API version is 7 (Android 2.1-update1)
[2010-10-19 21:05:21 - HelloWorld2.1] HOME is up on device 'emulator-5554'
[2010-10-19 21:05:21 - HelloWorld2.1] Uploading HelloWorld2.1.apk onto device 'emulator-5554'
[2010-10-19 21:05:22 - HelloWorld2.1] Installing HelloWorld2.1.apk...
[2010-10-19 21:06:03 - HelloWorld2.1] Success!
[2010-10-19 21:06:03 - HelloWorld2.1] Starting activity com.eoeAndrod.helloWorld.ActivityMain on device emulator-5554
 
 

 ==分隔線==


剛剛我重新整個run

等了一會,一些都ok了,

只是1.1和2.0.1會出現怪訊息 

 

回應 0